> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Approval expense fields - initialize

> Returns the read-only field definitions for an expense record that an approver is reviewing. Use this endpoint instead of the regular fields-initialize endpoint when rendering the approver's review screen — it loads the existing expense record by `{expenseId}`, derives the response shape from the record's own expense type (`ReceiptVerification`, `CarSpecification`, `SubsistenceAllowance`, `FoodBenefitsSpecification`, or `FuelBenefitsSpecification`), and marks every field as read-only so the approver can inspect but not edit. Requires the caller to be assigned as an approver in the organization **and** to be authorised on the specific expense report this record belongs to; otherwise the endpoint returns 404. The 404 is intentionally identical to "expense not found" so approval-access can't be probed.



## OpenAPI

````yaml /openapi/findity-expense-api.json get /me/organizations/{id}/approvals/expense/{expenseId}/fields
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me/organizations/{id}/approvals/expense/{expenseId}/fields:
    get:
      tags:
        - Fields
      summary: Approval expense fields - initialize
      description: >-
        Returns the read-only field definitions for an expense record that an
        approver is reviewing. Use this endpoint instead of the regular
        fields-initialize endpoint when rendering the approver's review screen —
        it loads the existing expense record by `{expenseId}`, derives the
        response shape from the record's own expense type
        (`ReceiptVerification`, `CarSpecification`, `SubsistenceAllowance`,
        `FoodBenefitsSpecification`, or `FuelBenefitsSpecification`), and marks
        every field as read-only so the approver can inspect but not edit.
        Requires the caller to be assigned as an approver in the organization
        **and** to be authorised on the specific expense report this record
        belongs to; otherwise the endpoint returns 404. The 404 is intentionally
        identical to "expense not found" so approval-access can't be probed.
      operationId: getOrganizationApprovalExpenseFields
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - $ref: '#/components/parameters/expenseId'
        - $ref: '#/components/parameters/fieldsInclude'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FieldsApprovalResponse'
              examples:
                Receipt verification with Approval status example:
                  value:
                    fields:
                      - name: Id
                        property: id
                        controlType: TEXT
                        mandatory: false
                        visible: false
                        value: f8307415b2704a52be684376c520c073
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                      - name: null
                        property: version
                        controlType: INTEGER
                        mandatory: false
                        visible: false
                        value: 2
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                      - name: Receipt
                        property: verification.receiptAttachment
                        controlType: CONTENT_HOLDER
                        mandatory: false
                        visible: true
                        value: 8ab28c4f7395ea5001739a9a3f6c0083
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                      - name: Category
                        property: categoryId
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: 204377cfa0044f9c8bea10b1958fec4a
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                        requiresUpdate: true
                        scannable: true
                        url: >-
                          /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/expensetypes/ReceiptVerification/categories
                        data:
                          iconUrl: >-
                            https://stage-expense.findity.com/api/resources/8a49a1b45f95fc4f015f9616c5c60003
                          id: 204377cfa0044f9c8bea10b1958fec4a
                          name: Övriga Personalkostnader
                          section: 1
                      - name: Expense report
                        property: expenseReportId
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: 4dbaa67dc718472bab56ac4ffdcb22e4
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                        url: >-
                          /expensereports?statuses=NORMAL,NEW&organizationId=8ab28c4f6fd37d39016fd6fee0470003
                      - name: Description
                        property: verification.description
                        controlType: TEXT
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                      - name: Date of purchase
                        property: verification.purchaseDate
                        controlType: DATE
                        mandatory: false
                        visible: true
                        value: '2020-02-19T13:43:00Z'
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                        requiresUpdate: true
                        scannable: true
                        allowFutureDate: false
                      - name: Payment method
                        property: verification.paymentTypeId
                        controlType: LIST
                        mandatory: true
                        visible: true
                        value: 034e8c23fa0d43fb8c51ec9741a063c4
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                        url: >-
                          /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/paymenttypes
                        data:
                          iconUrl: null
                          id: 034e8c23fa0d43fb8c51ec9741a063c4
                          name: Kasirka
                          section: null
                      - name: Store
                        property: verification.storeName
                        controlType: TEXT
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                      - name: Amount incl. VAT
                        property: verification.amount
                        controlType: DOUBLE
                        mandatory: false
                        visible: true
                        value: 425.07
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                        scannable: true
                      - name: Tip
                        property: verification.tip
                        controlType: DOUBLE
                        mandatory: false
                        visible: false
                        value: null
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                      - name: VAT
                        property: verification.taxAmount
                        controlType: DOUBLE
                        mandatory: false
                        visible: true
                        value: 44.9
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                        scannable: true
                      - name: Currency
                        property: verification.currency
                        controlType: LIST
                        mandatory: true
                        visible: true
                        value: SEK
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                        requiresUpdate: true
                        scannable: true
                        url: >-
                          /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/currencies
                        data:
                          iconUrl: null
                          id: SEK
                          name: Swedish Krona
                          section: null
                      - name: Exchange rate
                        property: verification.exchangeRate
                        controlType: DOUBLE
                        mandatory: false
                        visible: false
                        value: 1
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                      - name: Cost center
                        property: 8ab28c4e7337c2910173549217a30afb
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: true
                        disabled: true
                        url: >-
                          /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/lists/CUSTOM_DIMENSIONS_0ddeefef621049ee85ad921ab7f199a6_8ab28c4f6fd37d39016fd6fee0470003
                      - name: Life PI
                        property: 8ab28c4e7e4488d2017e488f5eb3037b
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: true
                        disabled: true
                        url: >-
                          /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/lists/CUSTOM_DIMENSIONS_5cec3d801370455cae41c9e16d551f45_8ab28c4f6fd37d39016fd6fee0470003
                      - name: Project
                        property: 8ab28c4f7337c45f017354921a42469f
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: true
                        disabled: true
                        url: >-
                          /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/lists/CUSTOM_DIMENSIONS_2f60063da17241028d85e530a319efb1_8ab28c4f6fd37d39016fd6fee0470003
                      - name: Entertainment
                        property: verification.representation
                        controlType: FIELD_GROUP
                        mandatory: false
                        visible: false
                        value: null
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                        fields:
                          - name: Type
                            property: verification.representation.type
                            controlType: LIST
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                            requiresUpdate: true
                          - name: Included liquor/wine/strong beer
                            property: verification.representation.includesLiquor
                            controlType: SWITCH
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Attach guest list
                            property: verification.representation.guestListAttached
                            controlType: SWITCH
                            mandatory: false
                            visible: false
                            value: false
                            errorText: null
                            error: null
                            custom: false
                            requiresUpdate: true
                          - name: Guests
                            property: verification.representation.guests
                            controlType: GUEST_LIST
                            mandatory: false
                            visible: false
                            value: []
                            errorText: null
                            error: null
                            custom: false
                          - name: Number of guests
                            property: verification.representation.numberOfGuests
                            controlType: INTEGER
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Number of external guests
                            property: verification.representation.numberOfExternalGuests
                            controlType: INTEGER
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Place
                            property: verification.representation.place
                            controlType: TEXT
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Attached guest list
                            property: verification.representation.guestListAttachment
                            controlType: CONTENT_HOLDER
                            mandatory: true
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                      - name: Comment
                        property: verification.comment
                        controlType: MULTI_LINE_TEXT
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                    meta:
                      capabilities: null
                      summary:
                        - type: property_value
                          value: ReceiptVerification
                          property: expenseType
                        - type: property_value
                          value: Expense
                          property: expenseTypeDescription
                        - type: property_value
                          value: SEK425.07
                          property: amount
                        - type: property_value
                          value: Waiting for approval
                          property: status
                    splits: null
                Car specification with Approval status example:
                  value:
                    fields:
                      - name: Id
                        property: id
                        controlType: TEXT
                        mandatory: false
                        visible: false
                        value: f7af885e36834ceabe3d92bc85798780
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                      - name: null
                        property: version
                        controlType: INTEGER
                        mandatory: false
                        visible: false
                        value: 2
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                      - name: Category
                        property: categoryId
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: b219079277d14c77a0c85497504cf90b
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                        requiresUpdate: true
                        url: >-
                          /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/expensetypes/CarSpecification/categories
                        data:
                          iconUrl: >-
                            https://stage-expense.findity.com/api/resources/8a49a1b359cbfe2a0159d565c056013a
                          id: b219079277d14c77a0c85497504cf90b
                          name: Milersättning
                          section: 5
                      - name: Comment
                        property: verification.comment
                        controlType: MULTI_LINE_TEXT
                        mandatory: false
                        visible: true
                        value: My trip
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                      - name: Expense report
                        property: expenseReportId
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: 8790386b138b4b9f983ccf8fbeddee3b
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                        url: >-
                          /expensereports?statuses=NORMAL,NEW&organizationId=8ab28c4f6fd37d39016fd6fee0470003
                      - name: Travel date
                        property: verification.travelDate
                        controlType: DATE_TIME
                        mandatory: false
                        visible: true
                        value: '2024-01-03T10:07:36Z'
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                        allowFutureDate: false
                      - name: Destination
                        property: verification.destination
                        controlType: TEXT
                        mandatory: false
                        visible: false
                        value: Stockholm, Sweden - Goteborg, Sweden
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                      - name: Vehicle type
                        property: verification.carType
                        controlType: LIST
                        mandatory: true
                        visible: true
                        value: PRIVATE_CAR
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                        url: >-
                          /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/categories/b219079277d14c77a0c85497504cf90b/cartypes
                        data:
                          iconUrl: null
                          id: PRIVATE_CAR
                          name: Private car
                          section: null
                      - name: Route
                        property: verification.travelRoute
                        controlType: FIELD_GROUP
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                        requiresUpdate: true
                        fields:
                          - name: Manually enter distance
                            property: verification.manualDistance
                            controlType: SWITCH
                            mandatory: false
                            visible: true
                            value: false
                            errorText: null
                            error: null
                            custom: false
                            requiresUpdate: true
                          - name: Route
                            property: verification.route
                            controlType: MILEAGE_ROUTE
                            mandatory: false
                            visible: true
                            value:
                              - latitude: '59.3293481'
                                longitude: '18.0682306'
                                place: Stockholm, Sweden
                              - latitude: '57.7086375'
                                longitude: '11.9747055'
                                place: Goteborg, Sweden
                            errorText: null
                            error: null
                            custom: false
                          - name: Distance
                            property: verification.distance
                            controlType: DOUBLE
                            mandatory: false
                            visible: false
                            value: 468
                            errorText: null
                            error: null
                            custom: false
                          - name: Distance with transport
                            property: verification.distanceInTransport
                            controlType: DOUBLE
                            mandatory: false
                            visible: false
                            value: 0
                            errorText: null
                            error: null
                            custom: false
                          - name: Distance on gravel
                            property: verification.distanceOnGravel
                            controlType: DOUBLE
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Distance with caravan
                            property: verification.distanceWithCaravan
                            controlType: DOUBLE
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Distance with dog
                            property: verification.distanceWithDog
                            controlType: DOUBLE
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Distance with heavy caravan
                            property: verification.distanceWithHeavyCaravan
                            controlType: DOUBLE
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Distance with trailer
                            property: verification.distanceWithTrailer
                            controlType: DOUBLE
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Road toll
                            property: verification.tollCost
                            controlType: DOUBLE
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Number of extra passengers
                            property: verification.numberOfPassengers
                            controlType: INTEGER
                            mandatory: false
                            visible: false
                            value: 0
                            errorText: null
                            error: null
                            custom: false
                          - name: Round trip
                            property: verification.roundTrip
                            controlType: SWITCH
                            mandatory: false
                            visible: true
                            value: false
                            errorText: null
                            error: null
                            custom: false
                            requiresUpdate: true
                          - name: null
                            property: verification.fuelType
                            controlType: TEXT
                            mandatory: false
                            visible: true
                            value: null
                            errorText: null
                            error: null
                            custom: false
                            requiresUpdate: true
                          - name: null
                            property: verification.bompeng
                            controlType: TEXT
                            mandatory: false
                            visible: true
                            value: null
                            errorText: null
                            error: null
                            custom: false
                            requiresUpdate: true
                          - name: null
                            property: verification.travelTime
                            controlType: TEXT
                            mandatory: false
                            visible: true
                            value: null
                            errorText: null
                            error: null
                            custom: false
                            requiresUpdate: true
                          - name: null
                            property: virtual.mileageMap
                            controlType: TEXT
                            mandatory: false
                            visible: false
                            value: >-
                              https://stage-expense.findity.com/api/resources/ff8080818ced9ac8018cedb31426000b
                            errorText: null
                            error: null
                            custom: false
                          - name: null
                            property: virtual.mileageMapChecksum
                            controlType: TEXT
                            mandatory: false
                            visible: false
                            value: 236c7fd6d8462091c3f36a33756cfa44b386433b
                            errorText: null
                            error: null
                            custom: false
                          - name: null
                            property: virtual.mileageCoordinatePoints
                            controlType: TEXT
                            mandatory: false
                            visible: false
                            value: >-
                              mwbiJm}gmBfOtnCu^|dDjMnz@pk@riAl|@gp@rm@{gA~MuRfMzRbh@bfB`YraAhBdiEt\dmCfx@t|BxqBjpDtKv~B`t@twCdl@bkA|d@zjC`g@lrBhy@no@`\jpBvHzwCp\d`G|]|qDx~@vqAl]`eAvr@xF~bBuh@zg@|Ytf@}UxrA`M|fArwAjp@beBdjAtf@twCb{ArwC``CbvBtkAh}Apr@~iBloAbyBtu@fr@h[tg@lcBlo@~lCrRj|Drg@j~BzfAxj@faA~nD~gBz~GhdB|kK|[rzCb`@fw@vy@b_CnaAnwA`aAp_BfyCheG`qBhoFtoAhyCns@frBhjBxfHnd@n_FnhBbpCnl@`dFmYvyCcF|oDa]hlC{QhxJxd@viHcf@joKlWdcIjAb_JfMlxHxi@|zDdVlkH~Uh~Dxo@~tB`m@xwBz{AnhExWdmApr@hn@~r@d]v^~}@hXpzC`CdpDxi@v`D}FhnBvj@dbCp{Al}CdqArgB|e@ll@zq@`VdgAv_Bpg@vl@lz@b@ro@zCh\xr@rq@x{CvsA|bEneC`dCfl@`w@zRnnAvlAthCntArdAloAbqEh~@thPhaAtcIzs@~bCjgBzvLxcAf}Gi@x}GwYxqObeAhsGdcBnmFblBznG`lAjiLtgBd_N`s@hrIrbBnaLpb@joEnlBlaMxmCdjYd]tfDn\deAdmAfcAzbAfiDhy@ldF|gAjjMddAr|IxcA``Cv{@piAlo@lwB|wBzsBzx@zlAvcAxZ`sBhaAlgElhAdgEfmCvdDn`EbsC~vBbnAx~AjhCtlEbS~fC~}@paCvaAraD``AtlB~jAbbAzdAtx@rtAbsBntDnrC`nC~oBtnA|YxsA}Cn{EoT|gBxl@bVdfAhNnuBle@veAzl@`~Dbk@tO~Ylt@hI`dGzh@bk@tK|_AcNby@yz@`r@coAvaFjNhkCxj@`xCdgA`pEnKlvDsPr~H}JxaI{z@boE{Hn_FjIxeEIvrDgf@`_BeUhvDu~@tkF{cA`sFtEjgJg]lvEg_Al`MJbzIg{@|vI|I|kFtCvvBnY||@`e@hsGwHxkDr`AhuEpbA`kD`iArkAlsAtk@x_AhfE|yAzoEdm@|_BbZlpDhUjvCzh@lkEqBt{D`q@xjLxbAltCdtAtbIzWt`Kvg@~rElMpuHp^bzDd\jpDeXtiD_l@b_E_NjpElo@xvKkhAfdOyh@fuEbFvxIyMzdFzPnuCvq@~pFdYddCqFdeDmVveHb@`tAkk@xhAgfA`tBocArDcHhz@uGriA
                            errorText: null
                            error: null
                            custom: false
                      - name: Cost center
                        property: 8ab28c4e7337c2910173549217a50afc
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: KST3
                        errorText: null
                        error: null
                        custom: true
                        disabled: true
                        url: >-
                          /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/lists/CUSTOM_DIMENSIONS_0ddeefef621049ee85ad921ab7f199a6_8ab28c4f6fd37d39016fd6fee0470003
                        data:
                          iconUrl: null
                          id: KST3
                          name: KST 3
                          section: null
                      - name: Life PI
                        property: 8ab28c4e7e4488d2017e488f5eb5037c
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: true
                        disabled: true
                        url: >-
                          /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/lists/CUSTOM_DIMENSIONS_5cec3d801370455cae41c9e16d551f45_8ab28c4f6fd37d39016fd6fee0470003
                      - name: Project
                        property: 8ab28c4f7337c45f017354921a4646a0
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: PRJ2
                        errorText: null
                        error: null
                        custom: true
                        disabled: true
                        url: >-
                          /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/lists/CUSTOM_DIMENSIONS_2f60063da17241028d85e530a319efb1_8ab28c4f6fd37d39016fd6fee0470003
                        data:
                          iconUrl: null
                          id: PRJ2
                          name: PRJ 2
                          section: null
                    meta:
                      capabilities: null
                      summary:
                        - type: property_value
                          value: CarSpecification
                          property: expenseType
                        - type: property_value
                          value: Mileage
                          property: expenseTypeDescription
                        - type: property_value
                          value: SEK865.80
                          property: amount
                        - type: property_value
                          value: Waiting for approval
                          property: status
                    splits: null
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
              example:
                result: error
                code: EXPENSE_RECORD_NOT_FOUND
                description: Expense not found
components:
  parameters:
    organizationId:
      in: path
      name: id
      required: true
      description: The id of the organization of the user
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    expenseId:
      in: path
      name: expenseId
      required: true
      description: The id of the expense to retrieve
      schema:
        $ref: '#/components/schemas/Uuid'
      example: da35f675f40e47bcae2fff3c43a94c73
    fieldsInclude:
      name: include
      in: query
      description: optional properties to include
      required: false
      schema:
        type: array
        items:
          type: string
          enum:
            - meta.capabilities
            - meta.summary
            - summaries
  schemas:
    FieldsApprovalResponse:
      type: object
      description: Fields format of expense record for Approval process
      properties:
        meta:
          type: object
          properties:
            summary:
              allOf:
                - $ref: '#/components/schemas/MetaSummarySchema'
        fields:
          allOf:
            - $ref: '#/components/schemas/FieldsArray'
        validationErrors:
          $ref: '#/components/schemas/ValidationErrorArray'
    404Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    MetaSummarySchema:
      type: array
      description: Contains summarised information about report
      items:
        type: object
        properties:
          property:
            type: string
            description: Name of property
          type:
            type: string
            description: >-
              One of the following types will be provided [property_type,
              header, separator, image]
          value:
            type: string
            description: Value assigned to the property
    FieldsArray:
      type: array
      items:
        type: object
        properties:
          name:
            type: string
            description: >-
              A translated name of the field, can be used to present to to the
              user
          property:
            type: string
            description: >
              Identifier of the field. Contains the path to the property in the
              expense API, for example verification.amount, cardLiability.
              Expense record and expense report fields include a hidden
              (`visible: false`) `version` field (controlType INTEGER) holding
              the optimistic-lock version of the stored object (`null` for a new
              object). Send it back unchanged in the fields of the update
              request; if the object has been modified since it was read, the
              update is rejected with 409 CONCURRENT_MODIFICATION.
          controlType:
            type: string
            enum:
              - TEXT
              - MULTI_LINE_TEXT
              - DOUBLE
              - INTEGER
              - SWITCH
              - DATE
              - DATE_TIME
              - LIST
              - CONTENT_HOLDER
              - GUEST_LIST
              - FIELD_GROUP
              - LOCAL_DATE_TIME
              - INFORMATION
          mandatory:
            type: boolean
            description: The field is required
          visible:
            type: boolean
            description: Only fields with visible = true should be shown
          requiresUpdate:
            type: boolean
            description: >-
              Tells the client that if this field is changed, the client must
              call the API again with the fields data
          url:
            type: string
            description: >-
              If controlType is LIST this property contains an url to the
              selectable values for this field
          custom:
            type: boolean
            description: >-
              Indicates if this is a custom field not part of the standard
              fields
          scannable:
            type: boolean
            description: >-
              Indicates if this field is part of the data extracted by the
              receipt scanning
          qrCodeSupported:
            type: boolean
            description: >
              Set on the `verification.receiptAttachment` (CONTENT_HOLDER) field
              when the organization's booking country uses fiscal QR codes on
              receipts (currently Portugal). When `true`, clients should offer a
              QR-scan step in the receipt capture flow and, on success, send the
              decoded string as the `qrScan` header on `POST /content`. Absent
              when not applicable.
          value:
            type: object
            description: >-
              The value of the field, this is dynamic based on the control type.
              For example if the control type is DOUBLE the value property must
              have a double type. For SubsistenceAllowance and property =
              verification.specification[x].date1 or date2, this value is
              set/delivered in format "yyyy-MM-dd HH:mm" where the date is at
              UTC date time
          data:
            type: object
            description: >-
              When calling the fields-endpoint initially, this may contain a
              list object for fields with control type LIST. This way the client
              does not have to make a call to the list endpoint to fetch the
              value. This has the same structure as the result in the list.
            properties:
              id:
                type: string
                description: Represents the id of the value that is set in this Field
              name:
                type: string
                description: Representable text for chosen list item for set id
              section:
                type: integer
              iconUrl:
                type: string
          allowFutureDate:
            type: boolean
            description: >-
              If controlType is DATE or DATE_TIME or LOCAL_DATE_TIME, this
              property is set. Default value is false. If the value is false,
              then date picker shouldn't allow setting date to value higher than
              today's date.
          error:
            type: string
            description: >-
              A string that represents the error. This property is not empty
              when there is some error related to the specific field.
          errorText:
            type: string
            description: >-
              Human readable description of value returned in error property.
              This property is not empty when there is some error related to the
              specific field.
          disabled:
            type: boolean
            description: >-
              Indicates if property should be enabled or disabled for editing.
              In Approval flow, this property is always set to "true".
          fields:
            type: array
            description: >-
              This property is populated when controlType="FIELD_GROUP" and it
              has the same structure as this array of objects. The list of
              objects represents all fields that are related to the specific
              field group.
          deletable:
            type: boolean
            description: >-
              This property is used for removable fields, for example on the
              FIELD_GROUP for a specification in allowance
          deleteCommand:
            allOf:
              - $ref: '#/components/schemas/FieldsCommandSchema'
          informationType:
            type: string
            enum:
              - normal
              - information
              - warning
              - error
              - success
            description: >-
              This property is set when controlType=INFORMATION and it should
              indicate which type of information the field is
          dismissible:
            type: boolean
            description: >-
              This property is set when controlType=INFORMATION to indicate if
              the information is dismissible or not
          multiSelect:
            type: boolean
            description: >-
              This property is going in combination with controlType=LIST to
              indicate that multiple values can be selected from the list
          listItemType:
            type: string
            description: >-
              This property is set when there is controlType=LIST &
              multiSelect=true to indicate which type of item is list made of
          accessorIconUrl:
            type: string
            description: >-
              This property is set by the URL value for the icon which can
              indicate access to different provided commands. It is usually
              provided within the field of controlType=FIELD_GROUP
          accessorText:
            type: string
            description: >-
              This property represents the text that can be set as replacement
              for all the fields behind the defined FIELD_GROUP. It can be used
              as display for accessor to the list of the fields provided in the
              FIELD_GORUP
          numberOfDecimals:
            type: integer
            description: >-
              The maximum number of decimals this field can present, uses
              current currency. only set for fields with an amount in value.
          summary:
            allOf:
              - $ref: '#/components/schemas/MetaSummarySchema'
          commands:
            type: array
            description: >-
              This property contains the list of possible commands that can be
              performed on the specific field
            items:
              allOf:
                - $ref: '#/components/schemas/FieldsCommandSchema'
    ValidationErrorArray:
      type: array
      description: >-
        the list of errors occurred during the saving or sending the expense
        instance (record or report)
      items:
        type: object
        properties:
          errorMessage:
            type: string
            description: description provided for errorCode
          errorCode:
            type: string
            description: textual code of error
          checkType:
            type: string
            enum:
              - BLOCKER
              - ERROR
              - WARNING
            description: >-
              BLOCKER indicates that expense instance cannot be sent unless the
              issue is corrected, ERROR indicates issue with storing/saving
              expense instances, WARNING indicates there is an issue with the
              expense instance but it allows to user to send the expense
              instance
    FieldsCommandSchema:
      type: object
      description: >-
        This property is used to define the command available on the filed of
        controlType=FIELD_GROUP
      properties:
        text:
          type: string
          description: This property contains the text for the command to be displayed
        confirmationRequired:
          type: boolean
          description: >-
            This property indicates if the client should display a dialog with
            confirmation as result of it
        confirmation:
          type: string
          description: >-
            This property contains the text that should be displayed in case
            that confirmationRequired=true and client decided to perform the
            command/action
        command:
          type: string
          description: >-
            This property contains the command that can be executed by
            performing the PUT request with it on the fields endpoint
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````